/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetFunctionInput } from "../types/GetFunctionInput";
import { GetFunctionOutput } from "../types/GetFunctionOutput";
import { LambdaResolvedConfiguration } from "../LambdaConfiguration";
export * from "../types/GetFunctionInput";
export * from "../types/GetFunctionOutput";
export * from "../types/GetFunctionExceptionsUnion";
export declare class GetFunctionCommand implements __aws_sdk_types.Command<InputTypesUnion, GetFunctionInput, OutputTypesUnion, GetFunctionOutput, LambdaResolvedConfiguration, _stream.Readable> {
    readonly input: GetFunctionInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetFunctionInput, GetFunctionOutput, _stream.Readable>;
    constructor(input: GetFunctionInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: LambdaResolvedConfiguration): __aws_sdk_types.Handler<GetFunctionInput, GetFunctionOutput>;
}
