/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { InvokeAsyncInput } from "../types/InvokeAsyncInput";
import { InvokeAsyncOutput } from "../types/InvokeAsyncOutput";
import { LambdaResolvedConfiguration } from "../LambdaConfiguration";
export * from "../types/InvokeAsyncInput";
export * from "../types/InvokeAsyncOutput";
export * from "../types/InvokeAsyncExceptionsUnion";
export declare class InvokeAsyncCommand implements __aws_sdk_types.Command<InputTypesUnion, InvokeAsyncInput, OutputTypesUnion, InvokeAsyncOutput, LambdaResolvedConfiguration, _stream.Readable> {
    readonly input: InvokeAsyncInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<InvokeAsyncInput<_stream.Readable>, InvokeAsyncOutput, _stream.Readable>;
    constructor(input: InvokeAsyncInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: LambdaResolvedConfiguration): __aws_sdk_types.Handler<InvokeAsyncInput, InvokeAsyncOutput>;
}
