"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CreateFunctionInput_1 = require("./CreateFunctionInput");
var CreateFunctionOutput_1 = require("./CreateFunctionOutput");
var ServiceException_1 = require("./ServiceException");
var InvalidParameterValueException_1 = require("./InvalidParameterValueException");
var ResourceNotFoundException_1 = require("./ResourceNotFoundException");
var ResourceConflictException_1 = require("./ResourceConflictException");
var TooManyRequestsException_1 = require("./TooManyRequestsException");
var CodeStorageExceededException_1 = require("./CodeStorageExceededException");
var ServiceMetadata_1 = require("./ServiceMetadata");
exports.CreateFunction = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateFunction",
    http: {
        method: "POST",
        requestUri: "/2015-03-31/functions"
    },
    input: {
        shape: CreateFunctionInput_1.CreateFunctionInput
    },
    output: {
        shape: CreateFunctionOutput_1.CreateFunctionOutput
    },
    errors: [
        {
            shape: ServiceException_1.ServiceException
        },
        {
            shape: InvalidParameterValueException_1.InvalidParameterValueException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: ResourceConflictException_1.ResourceConflictException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: CodeStorageExceededException_1.CodeStorageExceededException
        }
    ]
};
//# sourceMappingURL=CreateFunction.js.map