"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var PublishVersionInput_1 = require("./PublishVersionInput");
var PublishVersionOutput_1 = require("./PublishVersionOutput");
var ServiceException_1 = require("./ServiceException");
var ResourceNotFoundException_1 = require("./ResourceNotFoundException");
var InvalidParameterValueException_1 = require("./InvalidParameterValueException");
var TooManyRequestsException_1 = require("./TooManyRequestsException");
var CodeStorageExceededException_1 = require("./CodeStorageExceededException");
var PreconditionFailedException_1 = require("./PreconditionFailedException");
var ServiceMetadata_1 = require("./ServiceMetadata");
exports.PublishVersion = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "PublishVersion",
    http: {
        method: "POST",
        requestUri: "/2015-03-31/functions/{FunctionName}/versions"
    },
    input: {
        shape: PublishVersionInput_1.PublishVersionInput
    },
    output: {
        shape: PublishVersionOutput_1.PublishVersionOutput
    },
    errors: [
        {
            shape: ServiceException_1.ServiceException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: InvalidParameterValueException_1.InvalidParameterValueException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: CodeStorageExceededException_1.CodeStorageExceededException
        },
        {
            shape: PreconditionFailedException_1.PreconditionFailedException
        }
    ]
};
//# sourceMappingURL=PublishVersion.js.map