"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var UntagResourceInput_1 = require("./UntagResourceInput");
var UntagResourceOutput_1 = require("./UntagResourceOutput");
var ServiceException_1 = require("./ServiceException");
var ResourceNotFoundException_1 = require("./ResourceNotFoundException");
var InvalidParameterValueException_1 = require("./InvalidParameterValueException");
var TooManyRequestsException_1 = require("./TooManyRequestsException");
var ServiceMetadata_1 = require("./ServiceMetadata");
exports.UntagResource = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UntagResource",
    http: {
        method: "DELETE",
        requestUri: "/2017-03-31/tags/{ARN}"
    },
    input: {
        shape: UntagResourceInput_1.UntagResourceInput
    },
    output: {
        shape: UntagResourceOutput_1.UntagResourceOutput
    },
    errors: [
        {
            shape: ServiceException_1.ServiceException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: InvalidParameterValueException_1.InvalidParameterValueException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=UntagResource.js.map