"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var UpdateFunctionConfigurationInput_1 = require("./UpdateFunctionConfigurationInput");
var UpdateFunctionConfigurationOutput_1 = require("./UpdateFunctionConfigurationOutput");
var ServiceException_1 = require("./ServiceException");
var ResourceNotFoundException_1 = require("./ResourceNotFoundException");
var InvalidParameterValueException_1 = require("./InvalidParameterValueException");
var TooManyRequestsException_1 = require("./TooManyRequestsException");
var ResourceConflictException_1 = require("./ResourceConflictException");
var PreconditionFailedException_1 = require("./PreconditionFailedException");
var ServiceMetadata_1 = require("./ServiceMetadata");
exports.UpdateFunctionConfiguration = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdateFunctionConfiguration",
    http: {
        method: "PUT",
        requestUri: "/2015-03-31/functions/{FunctionName}/configuration"
    },
    input: {
        shape: UpdateFunctionConfigurationInput_1.UpdateFunctionConfigurationInput
    },
    output: {
        shape: UpdateFunctionConfigurationOutput_1.UpdateFunctionConfigurationOutput
    },
    errors: [
        {
            shape: ServiceException_1.ServiceException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: InvalidParameterValueException_1.InvalidParameterValueException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: ResourceConflictException_1.ResourceConflictException
        },
        {
            shape: PreconditionFailedException_1.PreconditionFailedException
        }
    ]
};
//# sourceMappingURL=UpdateFunctionConfiguration.js.map